package com.srs.comprehensive.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.comprehensive.domain.CphLakeType;

/**
 * 静湖之星类别Service接口
 *
 * @author srs
 * @date 2023-10-31
 */
public interface ICphLakeTypeService extends IService<CphLakeType> {


    public List<CphLakeType> listSelect();
    public List<CphLakeType> listOneHundred();


    /**
     * 查询静湖之星类别
     *
     * @param id 静湖之星类别主键
     * @return 静湖之星类别
     */
    public CphLakeType selectCphLakeTypeById(Long id);

    /**
     * 查询静湖之星类别列表
     *
     * @param cphLakeType 静湖之星类别
     * @return 静湖之星类别集合
     */
    List<CphLakeType> selectCphLakeTypeList(CphLakeType cphLakeType);

    /**
     * 新增静湖之星类别
     *
     * @param cphLakeType 静湖之星类别
     * @return 结果
     */
    int insertCphLakeType(CphLakeType cphLakeType);

    /**
     * 修改静湖之星类别
     *
     * @param cphLakeType 静湖之星类别
     * @return 结果
     */
    int updateCphLakeType(CphLakeType cphLakeType);

    /**
     * 批量删除静湖之星类别
     *
     * @param ids 需要删除的静湖之星类别主键集合
     * @return 结果
     */
    int deleteCphLakeTypeByIds(Long[] ids);

    /**
     * 删除静湖之星类别信息
     *
     * @param id 静湖之星类别主键
     * @return 结果
     */
    int deleteCphLakeTypeById(Long id);
}
